Hello,
is there a way to edit existing part curve driven pattern and change (modify) only spacing between patterned feature, then rebuild whole part model in VBA macro? Ideally I do not want to re-create whole curve driven pattern feature as I will lose selected face in order to make feature...
Hello,
is it possible to create sheet metal out of helix based surface (thickened or non-thickened)? I did try to create pure sheet metal (as part in the attachment, but when it is flattened, only curved part is shown and straight disappears). Now I am trying to get the part made in surface and...
Hello,
does anyone know, based on provided photo, why I cannot curve pattern hole on face of helix based feature (lofted bend). It does show holes in preview but when click to do it, get error...
Hi,
trying to make SW VBA macro to call UserForm1 from Sub main(), and during initialization of the form I am pulling data from excel file into combo box in the form. However, I always get only form to show up but without any data within combo box. Trying to locate where the issue is, so I...
Hi,
did anyone had an issue having task pane blank? Also I do have installed toolbox, but due to issue with task pane I do not have an access to Toolbox Fasteners. What to do to resolve and if there is no solution, what is way around to insert toolbox fasteners without task pane access? In the...
Hi,
I am trying to automatically create drawing document with number of sheets that match number of bodies in multibody part that is active and opened prior to running the macro. Each sheet would contain relative view of one body. What does happen when running macro as shown below, I do get...
Hi,
I am creating macro where I first open excel file, then I am supposed by VBA from SW macro access already opened excel file. Just to mention, below code works, however vba opens about 10 copies of same excel file while it is working and I think the reason for it is For loop in the beginning...
Hi,
did anyone succeeded attaching macro created with Visual Basic net to design binder and run it from equation? If it was done can you please share what was exactly line added inside equation line (I am guessing it should be line added inside global variable)?
I tried something with macro name...
In weldment when we are using profile type in old way (each angle has its own weldment profile drawing), whenever we are picking element under "Structural Member" standard, type and size that selection stays when we are choosing next weldment element. However, with new type where all elements...
Hi,
can anyone explain why boundary work in closed system for compressor is calculated as W = ∫pdV and polytropic process after integration is generally W = -(p2V2 - p1V1)/(1-n)...(numbers behind p and V are subscripts)...
When we talk about control volume, isentropic internally reversible...
Hi everyone,
I inserted completely round part inside another part (it is actually SolidWorks Training Manual part from Exercise "Using Indent" Target Body and Tool Body) and now having problem positioning round part using Features -> Move/Copy body command. I imported planes with round part, but...
Hi,
I just got a strange problem. I made one macro that works perfectly well when I run it from SW VSTA (programming code window). When I copy /bin folder (only bin folder with all data in it) into new folder on network and run it from there using "Run" command (and pointing to .dll) my macro...
Hi,
here is the code I have within macro which takes part (swComp) within assembly (assembly traversal) going into specific part configuration custom properties and later writing them into excel sheet. The issue I have is related to two very same parts that I have within assembly with different...
Hi,
is there anyone who can tell me what method I need to use and how to access Cut-List-Item 's in weldment parts from assembly or part API (not from the drawing). I found it is possible with swdocumentmgr namespace but I do not have access to that one (some special license is involved). Is...
Hi,
Can anyone tell me what is wrong here (and I used example from SW help as well as book)?
Imports SolidWorks.Interop.sldworks
Imports SolidWorks.Interop.swconst
Imports System
Partial Class SolidWorksMacro
Public Sub main()
Dim swModel As IModelDoc2
Dim swConfMgr As...
Hi,
I have part inside assembly and I am trying to access feature of part inside assembly and suppress it or unsuppress it based on some conditions.
I tried with (example)
swFeature = swModel.Parameter("featureName@partName.sldprt")
booleanValue = swFeature.ISetSuppression2(1,2,1,"Default")
but...